
Application: gvSIG desktop - gvSIG bugs #4832
The PRJ file is not recognized correctly 
03/05/2018 09:55 AM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: CRS
Target version: 2.4.1-2852 (rev. org.gvsig.desktop-2.0.222)
Severity: Major Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: 2850 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

When we load the attached layer with its PRJ file: 
- In gvSIG 2.4: It's recognized as EPSG 102161 --- It's not reprojected correctly 
- In gvSIG 2.3.1: It's recognized as EPSG 27493 --- It's reprojected correctly

I attach the layers. The steps would be: View in EPSG 20790, loading áreas_oficiais_ti_20790.shp. Then loading
áreas_oficiais_ti_esri_shgdt73.shp and the reference system recognized is not correct in gvSIG 2.4 because it's wrongly placed.

****************
Cuando cargamos la capa adjunta con su PRJ: 
- En gvSIG 2.4: Se reconoce como EPSG 102161 --- Se reproyecta mal 
- En gvSIG 2.3.1: Se reconoce como EPSG 27493 --- Se reproyecta bien

Adjunto las capas. Los pasos serían: Vista en EPSG 20790, cargar áreas_oficiais_ti_20790.shp. Luego cargar
áreas_oficiais_ti_esri_shgdt73.shp y el CRS que se reconoce en la 2.4 no es correcto, ya que sale desplazada.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4531: Projections for Po... Closed 07/10/2017

Associated revisions
Revision 841 - 05/08/2018 11:55 AM - Joaquín  del Cerro Murciano

refs #4531,  #4832, #4869 . Refactorizado la identificacion de la proyeccion a partir de WKT. Se han recuperado algoritmos de varias versiones
anteriores y se aplican uno tras otro hasta obtener una identificacion de la proyeccion.

History
#1 - 03/06/2018 12:24 PM - Antonio Falciano

Hi Mario,
consider that EPSG:102161 doesn't exist... It should be ESRI:102161. It's a GDAL issue.
This is the expected behaviour in my humble opinion, because ESRI projection files are without transformation parameters. So the user should provide
them.

my 2 eurocents
Related to #4531.

#2 - 04/15/2018 07:16 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.0-2930-final to 2.5.1-3044

#3 - 05/08/2018 11:54 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #4531: Projections for Portugal are not always recognized correctly added

#4 - 05/08/2018 11:54 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.1-3044 to 2.4.1-2852 (rev. org.gvsig.desktop-2.0.222)
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#5 - 02/18/2019 04:54 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
sistemas-ref-portugal.zip 1.72 MB 03/05/2018 Mario Carrera
